#include <ros/ros.h>
#include <nav_msgs/Odometry.h>
#include <turtlesim/Pose.h>

void poseMessageReceived(const nav_msgs::Odometry& odm){
    ROS_INFO("x: %f y: %f ", odm.pose.pose.position.x, odm.pose.pose.position.y);
}

int main(int argc, char **argv){
    ros::init(argc, argv, "moj_paket");

    ros::NodeHandle nd;

    ros::Subscriber sub = nd.subscribe("/odom", 1000, &poseMessageReceived);

    ros::spin();
    return 0;
}